# MyLibs: UART_SettingsTypeDef Struct Reference

Loading...
Searching...
No Matches
UART_SettingsTypeDef Struct Reference

## Public Attributes

UART_HandleTypeDef | huart
GPIO_TypeDef * | GPIOx
uint16_t | GPIO_PIN_RX
uint16_t | GPIO_PIN_TX
DMA_Stream_TypeDef * | DMAChannel
uint32_t | DMA_CHANNEL_X

## Detailed Description

Definition at line 45 of file __general_uart.h.

## Member Data Documentation

## huart

UART_HandleTypeDef UART_SettingsTypeDef::huart

Definition at line 47 of file __general_uart.h.

## GPIOx

GPIO_TypeDef* UART_SettingsTypeDef::GPIOx

Definition at line 49 of file __general_uart.h.

## GPIO_PIN_RX

uint16_t UART_SettingsTypeDef::GPIO_PIN_RX

Definition at line 50 of file __general_uart.h.

## GPIO_PIN_TX

uint16_t UART_SettingsTypeDef::GPIO_PIN_TX

Definition at line 51 of file __general_uart.h.

## DMAChannel

DMA_Stream_TypeDef* UART_SettingsTypeDef::DMAChannel

Definition at line 53 of file __general_uart.h.

## DMA_CHANNEL_X

uint32_t UART_SettingsTypeDef::DMA_CHANNEL_X

Definition at line 54 of file __general_uart.h.

The documentation for this struct was generated from the following file:

- E:/.WORK/STM32/STM32_ExtendedLibs/MyLibsGeneral/Inc/__general_uart.h